#!/bin/bash
#
# epydoc.sh - The command to generate python API documentation pysilhouette
#
# require rpm - python-epydoc, graphviz-doc, graphviz, graphviz-devel, graphviz-graphs, graphviz-gd
#

name=pysilhouette
PATH=${PATH}:/usr/bin
export PYTHONPATH=${PYTHONPATH}:/usr/lib/python:/usr/lib/python:/usr/lib/python2.6/site-packages

epydoc_config=/usr/share/doc/packages/python-${name}-doc/epydoc.cfg
target=/srv/www/htdocs/${name}-doc

[ -e ${target} ] &&  rm -rf ${target} ;
install -d ${target}

epydoc -v --config ${epydoc_config}
